laminas:
  build: .
  container_name: zend-application-skeleton
  dockerfile: ./docker/Dockerfile
  ports:
   - "8080:80"
  volumes:
   - .:/var/www
  links:
   - db:zend-mysql
db:
  image: mariadb
  container_name: zend-mysql
  restart: always
  environment:
    MYSQL_ALLOW_EMPTY_PASSWORD: 1
    MARIADB_CHARACTER_SET: utf-8
    MYSQL_ROOT_PASSWORD: temp
    MYSQL_USER: zend
    MYSQL_PASSWORD: temp
    MYSQL_DATABASE: zend-application-skeleton
  ports:
    - 3306:3306
  volumes:
    - ./docker/mysqldb-data:/var/lib/mysql
phpmyadmin:
  image: phpmyadmin/phpmyadmin
  container_name: zend-phpmyadmin
  environment:
    - PMA_ARBITRARY=1
    - PMA_PORT=3306
  restart: always
  ports:
    - 8090:80
  volumes:
    - /sessions
  links:
    - db:zend-mysql